FPAREL(8)

NAME
fparel - Sun FPA online reliability tests

SYNOPSIS
fparel [ -p n ] [ -v ]

AVAILABILITY

Not available on Sun386i systems.

DESCRIPTION

fparel is a command to execute the Sun FPA online confidence and reliability test program. fparel tests about 90% of the functions of the FPA board, and tests all FPA contexts not in use by other processes. fparel runs without disturbing other processes that may be using the FPA. fparel can only be run by the super-user.

After a successful pass, fparel writes

    time, date: Sun FPA Passed. The contexts tested are: 0, 1, ... 31

to the file /var/adm/diaglog.

If a pass fails, fparel writes

    time, date: Sun FPA failed

along with the test name and context number that failed, to the file /var/adm/diaglog. fparel then broadcasts the message

    time, date: Sun FPA failed, disabled, service required

to all users of the system. Next, fparel causes the kernel to disable the FPA. Once the kernel disables the FPA, the system must be rebooted to make it accessible.

The file /etc/rc.local should contain an entry to cause fparel to be invoked upon reboot to be sure that the FPA remains unaccessible in cases where rebooting doesn't correct the problem. See rc(8).

The crontab(5) file for root should contain an entry indicating that cron(8) is to run fparel daily, such as:

    7 2 * * * /usr/etc/fpa/fparel

which causes fparel to run at seven minutes past two, every day. See cron(8) and crontab(5) for details.

OPTIONS

-pn Perform n passes. Default is n=1. -p0 means perform 2147483647 passes.

-v  Run in verbose mode with detailed test results to the standard output.

FILES
/var/adm/diaglog
    Log of fparel diagnostics.
/etc/rc.local
/var/spool/cron/crontabs/root
/usr/etc/fpa/*
    directory containing FPA microcode, data files, and loader

SEE ALSO
crontab(5), cron(8), fpaversion(8), rc(8)